readCelIntensities {affxparser} | R Documentation

## Reads the intensities contained in several Affymetrix CEL files

### Description

Reads the intensities of several Affymetrix CEL files (as opposed to `readCel`() which only reads a single file).

### Usage

     readCelIntensities(filenames, indices = NULL, ..., verbose = 0)

### Arguments

`filenames` | the names of the CEL files as a character vector.
`indices` | a vector of which indices should be read. If the argument is `NULL` all features will be returned.
`...` | Additional arguments passed to `readCel`().
`verbose` | an integer: how verbose do we want to be, higher means more verbose.

### Details

The function will initially allocate a matrix with the same memory footprint as the final object.

### Value

A matrix with a number of rows equal to the length of the `indices` argument (or the number of features on the entire chip), and a number of columns equal to the number of files. The columns are ordered according to the `filenames` argument.

### Note

Currently this function builds on `readCel`(), and simply calls this function multiple times. If testing yields sufficient reasons for doing so, it may be re-implemented in C++.

### Author(s)

James Bullard, bullard@stat.berkeley.edu and Kasper Daniel Hansen, khansen@stat.berkeley.edu

### See Also

`readCel`() for a discussion of a more versatile function, particular with details of the `indices` argument.

### Examples

      # Scan current directory for CEL files
      files <- list.files(pattern="[.](c|C)(e|E)(l|L)$")
      if (length(files) >= 2) {
        cel <- readCelIntensities(files[1:2])
        str(cel)
        rm(cel)
      }

      # Clean up
      rm(files)

[Package affxparser version 1.6.2 Index]